
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>关于CSS缓存问题 / 憋错料</title>

    <meta name="description" content="关于CSS缓存问题 当我们需要在原有网站进行样式修改的时候,需要修改对应的CSS文件样式,修改好之后需要上传到客户网站 上传之后会发现网页布局存在问题,但是可以确定CSS文件确定是修改了的,用Ctrl+F5刷新之后正常. 总结之后发现需要给引用CSS文件的路径后添加对应的版本号,例如: &lt;link rel=&quot;stylesheet&quot; href=&quot;css/style.css?v=20200414&quot;/&gt; 这样就有利于解决浏览器自动读取缓存的问题 css缓存问题 原文地址 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">关于CSS缓存问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>当我们需要在原有网站进行样式修改的时候，需要修改对应的CSS文件样式，修改好之后需要上传到客户网站</p>
<p>上传之后会发现网页布局存在问题，但是可以确定CSS文件确定是修改了的，用Ctrl+F5刷新之后正常。</p>
<p>总结之后发现需要给引用CSS文件的路径后添加对应的版本号，例如：</p>
<pre>&lt;link rel="stylesheet" href="css/style.css?v=20200414"/&gt;</pre>
<p>这样就有利于解决浏览器自动读取缓存的问题</p>
<p><a href="https://www.cnblogs.com/linsx/p/9276255.html" rel="external nofollow noreferrer">css缓存问题</a></p>

<p>原文地址：https://www.cnblogs.com/hool/p/12703608.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 16:08:40 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/mil/" title="mil">mil</a>, <a href="https://www.biecuoliao.com/tag/%e4%bf%ae%e6%94%b9/" title="修改">修改</a>, <a href="https://www.biecuoliao.com/tag/%e5%ad%98%e5%9c%a8/" title="存在">存在</a>, <a href="https://www.biecuoliao.com/tag/htm/" title="htm">htm</a>, <a href="https://www.biecuoliao.com/tag/%e9%97%ae%e9%a2%98/" title="问题">问题</a>, <a href="https://www.biecuoliao.com/tag/href/" title="href">href</a>, <a href="https://www.biecuoliao.com/tag/%e6%96%87%e4%bb%b6%e7%9a%84/" title="文件的">文件的</a>, <a href="https://www.biecuoliao.com/tag/%e7%bd%91%e9%a1%b5%e5%b8%83%e5%b1%80/" title="网页布局">网页布局</a>, <a href="https://www.biecuoliao.com/tag/%e7%89%88%e6%9c%ac%e5%8f%b7/" title="版本号">版本号</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>关于CSS缓存问题的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZaDJm0.html" rel="bookmark">【php】基于Redis的js、css缓存类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;?php /* *基于Redis的js.css缓存类(有效解决tp等框架访问public出现的各种问题) *Written by Radish 2015.8.16 */ define('REDIS_HOST', '127.0.0.1'); define('REDIS_PORT', 6379); // class im { function __construct() { $this-&gt;redis = new Redis(); $this-&gt;redis-&gt;connect(REDIS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jm5xDM.html" rel="bookmark">基于md5的解决js&comma;css缓存问题for django</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一．常见的解决方案 js,css更新的时候,由于浏览器的缓存机制,可能导致引用老的js,css而引起错误.以往常见的解决方法有两种: 1.对js,css加版本控制,例如:jquery.min.js?v=xx.xxx.xx 此种方法存在的问题是需要对版本控制进行维护,比较麻烦 2.对js,css加时间戳 此种方法存在的问题是当js或css,更改后又被还原,但是时间戳已经更改,而导致浏览器需要重新下载js,css. 二．md5解决js,css缓存问题的原理 根据js,css的内容生成一个字符串,当j			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Rxdpq4.html" rel="bookmark">JS&sol;CSS缓存杀手&mdash;&mdash;VS插件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				背景 前些天去考科目二,感觉经历了一场不是高考却胜似高考的考试(10年前的5分之差, 还是难以释怀)!    一行八人,就我学的时间最少(4天,8人一辆车),教练都觉得我肯定还得再来一次! 靠着运气和信念,惊险的通过了侧方停车和倒车入库,终于还是抚慰了一下10年前那颗年轻的心!  ----------感慨完毕,回归主题---------- 终于修改完了客户提交的bugs,发布.更新.测试.邮件通知,悠哉悠哉的浏览博客园...然后客户来了... 客户:我提的需求怎么都没修改,这个按钮颜色也没变,点			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kwgKd0.html" rel="bookmark">清除js以及css缓存</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				入口文件,定义版本常量 define('VERSION','version=002');//自定义版本号 html文件引用常量 &lt;script src=&quot;/js/detail.js?&lt;?=VERSION?&gt;&quot;&gt;&lt;/script&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDkVg94.html" rel="bookmark">关于更新发布CSS和JS文件的缓存问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Web应用程序大行天下的今天,我们程序员的工作大都基于B/S架构,B/S架构的优势就在于可以及时(甚至随时)更新页面以及后台逻辑,而不用通知客户去手动更新客户端.在这种环境下,是不是B/S架构的软件就真的没有升级的问题了呢? 现如今,浏览器大战下,各个浏览器也是拼了命的提高性能,升级JS解析引擎,更好的处理浏览器的页面缓存,让用户的浏览体验更快,占用更小的PC资源.那么,问题就出现在JS和CSS缓存,甚至页面缓存上.至于浏览器对页面的缓存,我们一般通过在服务端发送页面的时候设置页面的生存期,一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzO5ll0.html" rel="bookmark">nginx图片、css、js缓存</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开始的时候搭建nginx环境,以为单单是为了负载均衡,实现分布式集群.现在发现可以使用nginx的缓存机制来优化相应速度.下面介绍一下nginx图片.css.js的缓存. #图片缓存时间设置 location ~ .*.(gif|jpg|jpeg|png|bmp|swf)$ { expires 8d; } #JS和CSS缓存时间设置 location ~ .*.(js|css)?$ { expires 2h; } 可以看出通过设置过期时间,减少后台的访问负担. nginx图片.css.js缓存			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4J8X790.html" rel="bookmark">引入css外部样式表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 为什么会有这篇文章,外部引入样式有什么好谈的,不外乎就是 &lt;link rel=&quot;stylesheet&quot; href=&quot;style.css&quot; /&gt; 就这么简单,还有什么,so easy,我之前都是这么认为的你肯定比我聪明多了~_^,但是当做一个页面在微信上浏览并且修改再浏览的时候我发现不对劲,因为已经上传的样式表木有改变,IOS还好,可以强制刷新页面.但是安卓端这块一直在用微信的缓存,还没有刷新的按钮,所以觉得css引入问题目测应该没有这么简单. 好了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MV7pRQ0.html" rel="bookmark">前端学习笔记--HTTP缓存</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/http-caching?hl=zh-cn 缓存并重用之前获取的资源的能力是性能优化的一个关键方面. 每个浏览器都自带了 HTTP 缓存实现功能,只需要确保每个服务器响应都提供正确的 HTTP 标头指令,以指示浏览器何时可以缓存响应以及可以缓存多久. HTTP 与浏览器交互的请求头: 当服务器返回响应时,还会发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lwmWbM.html" rel="bookmark">系统的讲解 - PHP 缓存技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述 缓存已经成了项目中是必不可少的一部分,它是提高性能最好的方式,例如减少网络I/O.减少磁盘I/O 等,使项目加载速度变的更快. 缓存可以是CPU缓存.内存缓存.硬盘缓存,不同的缓存查询速度也不一样(CPU缓存 优于 内存缓存 优于 硬盘缓存). 接下来,给大家逐一进行介绍.浏览器缓存 浏览器将请求过的页面存储在客户端缓存中,当访问者再次访问这个页面时,浏览器就可以直接从客户端缓存中读取数据,减少了对服务器的访问,加快了网页的加载速度.强缓存 用户发送的请求,直接从客户端缓存中获取,不请求服			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLQNB0.html" rel="bookmark" class="title">48&period; 蛤蟆的数据结构笔记之四十八的有向无环图的应用关键路径</a>
					<div>
						48. 蛤蟆的数据结构笔记之四十八的有向无环图的应用关键路径 本篇名言:&quot;富贵不淫贫贱乐 ,男儿到此是豪雄.-- 程颢&quot; 这次来看下有向无环图的另一个应用关键路径. 欢迎转载,转载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JkDlDM.html" rel="bookmark" class="title">LVS Direct Routing 直接路由</a>
					<div>
						1. Direct Routing 直接路由 director分配请求到不同的real server, real server处理请求后直接回应给用户,这样director负载均衡器仅处理客户机与服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lG5QZM.html" rel="bookmark" class="title">例题：请输入一个时间，判断是一天中的哪个时间。逻辑思维比较强的一个题。主要复习一下if else语句</a>
					<div>
						while (true) { Console.Write(&quot;请输入一个时间(24小时制):&quot;); //string   s = Console.ReadLine(); int ho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YYVry0.html" rel="bookmark" class="title">最小生成树算法之 Dijkstra算法</a>
					<div>
						Dijkstra算法 Dijkstra算法是典型最短路算法,用于计算一个节点到其他所有节点的最短路径.主要特点是以起始点为中心向外层层扩展,直到扩展到终点为止.Dijkstra算法能得出最短路径的最优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP85VvM.html" rel="bookmark" class="title">HDU 1219&colon; AC Me</a>
					<div>
						HDU 1219: AC Me ///@author Sycamore, ZJNU ///@accepted_on 2017-01-24 #include&lt;iostream&gt; #inclu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dAkE63.html" rel="bookmark" class="title">Solr5&period;3&period;1整合IKAnalyzer</a>
					<div>
						由于solr5.3.1本身不支持中文分词,而msseg4j的分词效果不明显.因而采用IK进行分词,然而参考http://www.superwu.cn/2015/05/08/2134/在google上下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXn7VX3.html" rel="bookmark" class="title">徐州联赛选拔赛 - 判断能否构成树</a>
					<div>
						题目链接 思路:每条边对总度的贡献都是2,所以如果形成了一棵树,那么边一定是n-1条,总度就是2(n-1).先把所有顶点的度加起来,判断是否等于2(n-1),如果不等,那一定就是Impossible了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NqBj23.html" rel="bookmark" class="title">Mac OS X 上编写 ASP&period;NET vNext &lpar;二&rpar; IDE配置</a>
					<div>
						上一篇中介绍了如何在OS X上搭建.Net运行时.不过光有运行时还不够,还需要有一个好用的IDE,有了IDE的支持,OS X上的开发才称为可能. 和上篇类似,这里先列举出具体步骤,个人可以根据自己的情 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MD8rB9M.html" rel="bookmark" class="title">&lbrack;Servlet&rsqb;研究ServletContext对象</a>
					<div>
						ServletContext概述 ServletContext对象是Servlet三大域对象之一,每个Web应用程序都拥有一个ServletContext对象,该对象是Web应用程序的全局对象或者上下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6lqnN3.html" rel="bookmark" class="title">Gradle引人注目的特性集</a>
					<div>
						Gradle是一个基于Apache Ant和Apache Maven概念的项目自动化建构工具.它使用一种基于Groovy的特定领域语言来声明项目设置,而不是传统的XML.当前其支持的语言限于Java. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ezqPZ3.html" rel="bookmark" class="title">C&num;中一些常用的正则表达式</a>
					<div>
						需要引用using System.Text.RegularExpressions; Regex r = new Regex(&quot;^\\s*([A-Za-z0-9_-]+(\\.\\w+)*@( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QoNzN0.html" rel="bookmark" class="title">&lbrack;Java Basics3&rsqb; XML&comma; Unit testing</a>
					<div>
						What's the difference between DOM and SAX? DOM creates tree-like representation of the XML document  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JjZPQ4.html" rel="bookmark" class="title">&amp;quot&semi;php-cgi&period;exe - FastCGI 进程意外退出&amp;quot&semi; 解决办法</a>
					<div>
						问题描述: win7下iis中php-cgi.exe - FastCGI 进程意外退出 错误提示: HTTP 错误 500.0 - Internal Server Error D:\phpStudy\ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Moo9QkM.html" rel="bookmark" class="title">python基础set</a>
					<div>
						1.set set是一个无序的不重复的集合 li=[11,22,33,11] s=set(li) print(s) {11,22,33}  set提供的方法 1.add(self, *args, ** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPekP60.html" rel="bookmark" class="title">又被忽悠了，互联网创业的陷阱你遇到了吗</a>
					<div>
						1年半前,在南京参加一场互联网大会,认识了一位MM. 偶然机会,我打开了一个互联网公司关于百度竞价的单页面,了解到竞价,继尔想参加这场大会开开眼界,深入了解一下互联网生意. 和MM聊起竞价,她说半年前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QomL20.html" rel="bookmark" class="title">容器适配器、STL算法简介</a>
					<div>
						可以用某种顺序容器来实现 (让已有的顺序容器以栈/队列的方式工作) 1) stack: 头文件 &lt;stack&gt; 栈 -- 后进先出 2) queue: 头文件 &lt;queue&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLrEke3.html" rel="bookmark" class="title">RxJava 学习笔记（四）</a>
					<div>
						线程控制Scheduler二 1Scheduler的API二 2Scheduler的原理二 1 subscribeOn 这边是版本110的源码 这边是版本116的源码 建议看这个 2 observeO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OQxprM.html" rel="bookmark" class="title">iOS 获取当前时间并且显示走在视图上</a>
					<div>
						// //  RootViewController.m //  时间戳在走并且显示Demo // //  Created by Dubai on 15/4/2. //  Copyright (c) 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MENbzP0.html" rel="bookmark" class="title">2014牡丹江区域赛B（树的直径）ZOJ3820</a>
					<div>
						Building Fire Stations Time Limit: 5 Seconds      Memory Limit: 131072 KB      Special Judge Marjar  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41yOWJ4.html" rel="bookmark" class="title">设置修改CentOS系统时区</a>
					<div>
						http://www.pool.ntp.org/en/ 世界各地时间服务器 在我们使用CentOS系统的时候,也许时区经常会出现问题,有时候改完之后还是会出错,下面我们就来学习一种方法来改变这个状况. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
